### Method

# Atk EditableText set_run_attributes

#### Declaration [src]

    gboolean
    atk_editable_text_set_run_attributes (
      AtkEditableText* text,
      AtkAttributeSet* attrib_set,
      gint start_offset,
      gint end_offset
    )

#### Description [src]

Sets the attributes for a specified range. See the ATK_ATTRIBUTE macros (such as #ATK_ATTRIBUTE_LEFT_MARGIN) for examples of attributes that can be set. Note that other attributes that do not have corresponding ATK_ATTRIBUTE macros may also be set for certain text widgets.

#### Parameters

`attrib_set`

  Type: `AtkAttributeSet`

  An `AtkAttributeSet`.

  The data is owned by the caller of the method.

`start_offset`

  Type: `gint`

  Start of range in which to set attributes.

`end_offset`

  Type: `gint`

  End of range in which to set attributes.

#### Return value

Type: `gboolean`

`TRUE` if attributes successfully set for the specified range, otherwise `FALSE`.